%global moz_extensions %{_datadir}/mozilla/extensions

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global src_ext_id wappalyzer@crunchlabz.com
%global firefox_inst_dir %{moz_extensions}/%{firefox_app_id}

Name:           mozilla-wappalyzer
Version:        6.10.82
Release:        %{autorelease}
Summary:        Identify technologies on websites.

License:        LicenseRef-proprietary
URL:            https://www.wappalyzer.com/
Source0:        https://addons.mozilla.org/firefox/downloads/file/4482384/wappalyzer-%{version}.xpi
Source1:        mozilla-wappalyzer.metainfo.xml

Requires:       mozilla-filesystem
BuildArch:      noarch

# GNOME Software Center not present on EL < 7
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libappstream-glib
%endif

%description
Wappalyzer is a browser extension that uncovers the technologies used on websites. It detects content management systems, eCommerce platforms, web servers, JavaScript frameworks, analytics tools and many more.

%prep
%setup -q -c

%build

%install
install -Dpm644 %{SOURCE0} %{buildroot}%{firefox_inst_dir}/%{src_ext_id}.xpi
install -Dpm644 %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%{firefox_inst_dir}/%{src_ext_id}.xpi
# GNOME Software Center metadata
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_metainfodir}/%{name}.metainfo.xml
%endif

%changelog
%autochangelog
